.platform_dive {
  padding: 100px 80px;
  background: #EAE7DA;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 48px;
}

.platform_dive h2 {
  color: #15171B;
  text-align: center;
  font-family: Sora, sans-serif;
  font-size: 52px;
  font-weight: 400;
  line-height: 66px;
  margin-bottom: 8px;
  max-width: 550px;
  margin: auto;
}

.platform_dive > .container > .row > p {
  color: #35393F;
  text-align: center;
  font-family: Sora, sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  max-width: 680px;
  margin: auto;
  margin-bottom: 48px;
}

.platform_dive  .platform_dive_section {
  display: flex;
  align-items: flex-start;
  gap: 40px;
  width: 100%;
}

.platform_dive  .left_side {
  flex: 1;
  display: flex;
  flex-direction: column;
  /*gap: 20px;*/
}

.platform_dive  .right_side {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.platform_dive  .right_side img {
  width: 100%;
  max-width: 600px;
  border-radius: 12px;
  /*transition: opacity 0.5s ease, transform 0.5s ease;*/
}

/* Individual question blocks */
.platform_dive .question_answer {
    
    padding: 20px;
    border: 1px solid #6A6B6B33;
    position: relative;
    cursor: pointer;
    transition: all 0.3s 
ease;
    /*box-shadow: 0 0 0 rgba(0, 0, 0, 0);*/
    
}

.platform_dive .question_answer.active {
      box-shadow: 0 4px 14px rgba(0, 0, 0, 0.08);
      background: #fff;
      border-top: 0;
}

.platform_dive .question  {
    display: flex;
    justify-content: space-between
}
.platform_dive .question h4 {
    color: var(--text-primary, #15171B);
    
    /* body/lg/medium */
    font-family: var(--font-family-family, Sora);
    font-size: var(--body-lg-size, 20px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--body-lg-line-height, 32px); /* 160% */
  margin: 0;
}
.platform_dive .answer{
    /*display:none;*/
    opacity: 0;
    height: 0;
}
.platform_dive .question_answer.active .answer{
    display:block;
    opacity: 1;
    height: auto;
}
.platform_dive .question_answer.active{
    border-bottom:0;
}
.platform_dive .question_answer.active .answer p{
    margin-top: 24px;
    height:auto;
}
.platform_dive .answer p {
    margin-top: 0;
    height:0;
    color: var(--text-secondary, #35393F);
    font-family: var(--font-family-family, Sora);
    font-size: var(--body-md-size, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--body-md-line-height, 24px);
}

/* Progress bar styles */
.platform_dive .progress_wrap {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 4px;
}

.platform_dive .progress_track {
  /*background: rgba(0, 0, 0, 0.1);*/
  background: transparent;
  width: 100%;
  height: 100%;
  /*border-radius: 6px;*/
  overflow: hidden;
}

.platform_dive .progress_fill {
  background: #20599C;
  height: 100%;
  width: 0%;
  /*border-radius: 6px;*/
  transition: width linear;
}
.platform_need_section > * {
    flex: 1 1 50%;
    max-width: 50%;
}

/* changes due to lag*/
.platform_dive .right_side {
  position: relative;
}

.platform_dive .right_side .dive_image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 600px;
  border-radius: 12px;
  opacity: 0;
  transform: scale(0.97);
  transition: opacity 0.4s ease, transform 0.4s ease;
}

.platform_dive .right_side .dive_image.active {
  opacity: 1;
  transform: scale(1);
  z-index: 2;
}

@media(max-width:1024px){
    .platform_dive .right_side {
        position: relative;
        width: 100%;
        order: -1
    }
    .platform_dive .right_side .dive_image {
        position: relative; /* no absolute positioning */
        display: none;      /* hide inactive */
        width: 100%;
        max-width: 100%;
        opacity: 0;
        transform: scale(0.97);
        transition: opacity 0.4s ease, transform 0.4s ease;
    }
    .platform_dive  .platform_dive_section {
        flex-direction: column;
    }
    .platform_dive .right_side,.platform_dive  .left_side{
        width: 100%;
    }
    .right_side img{
        max-width:100%;
    }
    .platform_dive {
        padding: 64px 0px;
    }
    .platform_dive h2{
        color: var(--text-primary, #15171B);
        text-align: center;
        font-family: var(--font-family-family, Sora);
        font-size: var(--heading-h2-size, 28px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--heading-h2-line-height, 38px);
        margin: auto;
        max-width: 40%;
        margin-bottom: 8px;
    }
    .platform_dive > .container > .row > p{
        max-width: 70%;
        margin-bottom: 40px;
    }
    .platform_dive  .platform_dive_section {
        display: flex;
        align-items: flex-start;
        gap: 28px;
    }
    .platform_dive  .question h4{
        color: var(--text-primary, #15171B);
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-lg-size, 18px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-lg-line-height, 28px);
    }
    .platform_dive .answer p{
        color: var(--text-secondary, #35393F);
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-md-size, 16px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-md-line-height, 24px);
    }
    .platform_dive .right_side img {
        max-width: 100%!important;
    }
    .platform_dive .right_side .dive_image.active {
        display: block;
        opacity: 1;
        transform: scale(1);
      }
}
@media(max-width:820px){
    .platform_banner {
        background-position: -160px center;
    }
}
@media(max-width:768px){
    .platform_banner {
        background-position: -190px center;
    }
}
@media(max-width:767px){
    .platform_need_section .left_side,
    .platform_need_section .right_side {
        max-width: 100%;
    }
    .platform_dive {
        padding: 40px 0px;
    }
    .platform_dive h2 {
        
        max-width: 75%;
        margin-bottom: 8px;
        color: var(--text-primary, #15171B);
        text-align: center;
        font-family: var(--font-family-family, Sora);
        font-size: var(--heading-h2-size, 24px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--heading-h2-line-height, 32px);
    }
    .platform_dive > .container > .row > p {
        max-width: 100%;
        margin-bottom: 48px;
        color: var(--text-secondary, #35393F);
        text-align: center;
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-md-size, 14px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-md-line-height, 22px);
    }
    .platform_dive .question h4 {
        color: var(--text-primary, #15171B);
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-lg-size, 16px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-lg-line-height, 24px);
    }
    .platform_dive .question_answer.active .answer p {
        margin-top: 20px;
        height: auto;
        color: var(--text-secondary, #35393F);

        /* body/md/regular */
        font-family: var(--font-family-family, Sora);
        font-size: var(--body-md-size, 14px);
        font-style: normal;
        font-weight: 400;
        line-height: var(--body-md-line-height, 22px); /* 157.143% */
    }
}